import React from 'react';
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";
import textRenderProps from './Text.renderProps';

export default (props)=>{
    let renderProps=textRenderProps(props);
    let { renderComponent, ...basicProps} = props;
    return <SkeletonThemeWrapper basicProps={basicProps} renderProps={renderProps} component={renderComponent} />;
}